{ python3Packages
, fetchFromGitHub
, lib
}:
python3Packages.buildPythonPackage rec {
  pname = "salt-lint";
  version = "0.9.2";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "warpnet";
    repo = "salt-lint";
    rev = "v${version}";
    hash = "sha256-Q/blaqDqs9gPrMfN+e1hkCi9IPMM0osPYTDsT6UODB4=";
  };

  nativeBuildInputs = [
    python3Packages.setuptools
  ];

  propagatedBuildInputs = with python3Packages; [
    pathspec
    pyyaml
  ];

  meta = with lib; {
    description = "A command-line utility that checks for best practices in SaltStack";
    mainProgram = "salt-lint";
    homepage = "https://github.com/warpnet/salt-lint";
    changelog = "https://github.com/adrienverge/yamllint/blob/v${version}/CHANGELOG.rst";
    license = licenses.mit;
    maintainers = with maintainers; [ fleaz ];
  };

}
